MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027624Open CASCADE[OCCT] OCCT:DRAWpublic2016-06-20 18:302016-12-09 16:37
Reportersan 
Assigned Tobugmaster 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027624: Draw Harness, ViewerTest - vdrawtext command ignores text display options
Descriptionvdrawtext command ignores -disptype argument value if -2d option is not specified.
Steps To Reproducebugs vis bug27624
Additional information
and documentation updates
This minor problem was discovered while trying to create a test case for 0027617 that illustrates a highlighting issue with a text with display type = Aspect_TODT_SUBTITLE.
TagsNo tags attached.
Test case numberbugs vis bug27624
Attached Filespng file icon 27624_bad.png (1,285 bytes) 2016-06-20 18:48
png file icon 27624_good.png (1,903 bytes) 2016-06-20 18:49

- Relationships
related to 0027617closedbugmaster Visualization, TKOpenGl - apply highlighting color without disabling lighting 
related to 0026490closedski Visualization - implement draw commands 'voverlaytext' and 'vlayerline' using AIS_InteractiveObject class 

-  Notes
(0055256)
git (administrator)
2016-06-20 18:55

Branch CR27624 has been created by san.

SHA-1: 61a889b3918dbb833df30622d85c5b8e81739059


Detailed log of new commits:

Author: san
Date: Mon Jun 20 18:55:24 2016 +0300

    0027624: ViewerTest - vdrawtext command ignores text display options
    
    vdrawtext command was corrected to set the specified text display type
    regardless of other options.
(0055263)
git (administrator)
2016-06-20 19:18

Branch CR27624 has been updated forcibly by san.

SHA-1: 4ba8bd0d067c1a2ce1843a870b5925b2553a704c
(0055264)
san (developer)
2016-06-20 19:22

Branch CR27624 ready for reviewing.
(0055266)
kgv (developer)
2016-06-20 19:30

Please test the patch.
(0055300)
mkv (tester)
2016-06-21 14:38

Dear BugMaster,
Branch CR27624 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 4ba8bd0d067c1a2ce1843a870b5925b2553a704c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 68 (68 on master)
Windows: 0 (0 on master)
MacOS : 1153

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27624-master-OCCT/Debian70-64/bugs/vis/bug27624.html [^]
http://occt-tests/CR27624-master-OCCT/Windows-64-VC10/bugs/vis/bug27624.html [^]
bugs vis bug27624: OK

Testing on Linux:
occt component :
Total MEMORY difference: 88027897 / 89160850 [-1.27%]
Total CPU difference: 19387.329999999918 / 19458.61999999997 [-0.37%]
products component :
Total MEMORY difference: 27475387 / 27412842 [+0.23%]
Total CPU difference: 5175.059999999988 / 5165.429999999985 [+0.19%]

Testing on Windows:
occt component :
Total MEMORY difference: 55893153 / 55904007 [-0.02%]
Total CPU difference: 18318.854227798845 / 18535.836018698956 [-1.17%]
products component :
Total MEMORY difference: 18643062 / 18607822 [+0.19%]
Total CPU difference: 5005.604086999941 / 4997.570035499952 [+0.16%]

There are no differences in images found by testdiff.
(0055301)
mkv (tester)
2016-06-21 14:38

Dear BugMaster,
Branch CR27624 is TESTED.
(0055418)
git (administrator)
2016-06-24 12:57

Branch CR27624 has been deleted by inv.

SHA-1: 4ba8bd0d067c1a2ce1843a870b5925b2553a704c

- Related Changesets
occt: master 284c9238
Timestamp: 2016-06-20 16:17:56
Author: san
Committer: bugmaster
Details ] Diff ]
0027624: ViewerTest - vdrawtext command ignores text display options

vdrawtext command was corrected to set the specified text display type
regardless of other options.
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug27624 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-20 18:30 san New Issue
2016-06-20 18:30 san Assigned To => san
2016-06-20 18:31 san Priority normal => low
2016-06-20 18:48 san File Added: 27624_bad.png
2016-06-20 18:49 san File Added: 27624_good.png
2016-06-20 18:50 san Relationship added related to 0027617
2016-06-20 18:52 san Additional Information Updated View Revisions
2016-06-20 18:55 git Note Added: 0055256
2016-06-20 19:05 san Relationship added related to 0026490
2016-06-20 19:13 san Summary ViewerTest - vdrawtext command ignores text display options => Draw Harness, ViewerTest - vdrawtext command ignores text display options
2016-06-20 19:18 git Note Added: 0055263
2016-06-20 19:22 san Note Added: 0055264
2016-06-20 19:22 san Assigned To san => kgv
2016-06-20 19:22 san Status new => resolved
2016-06-20 19:22 san Steps to Reproduce Updated View Revisions
2016-06-20 19:30 kgv Note Added: 0055266
2016-06-20 19:30 kgv Assigned To kgv => bugmaster
2016-06-20 19:30 kgv Status resolved => reviewed
2016-06-20 19:59 mkv Assigned To bugmaster => mkv
2016-06-21 14:38 mkv Note Added: 0055300
2016-06-21 14:38 mkv Note Added: 0055301
2016-06-21 14:38 mkv Assigned To mkv => bugmaster
2016-06-21 14:38 mkv Status reviewed => tested
2016-06-21 14:38 mkv Test case number => bugs vis bug27624
2016-06-24 12:41 bugmaster Changeset attached => occt master 284c9238
2016-06-24 12:41 bugmaster Status tested => verified
2016-06-24 12:41 bugmaster Resolution open => fixed
2016-06-24 12:57 git Note Added: 0055418
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker